> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gr4vy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create webhook subscription

> Create a new webhook subscription to receive event notifications. Subscriptions allow you to specify a URL where webhook events will be delivered and configure authentication credentials to secure the webhook communication.

This endpoint requires the `webhook-subscriptions.write` scope.


## OpenAPI

````yaml /openapi.speakeasy.json POST /webhook-subscriptions
openapi: 3.1.0
info:
  title: Gr4vy
  description: The Gr4vy API.
  version: 1.0.0
servers:
  - url: https://api.sandbox.{id}.gr4vy.app
    x-speakeasy-server-id: sandbox
    variables:
      id:
        default: example
        description: The subdomain for your Gr4vy instance.
  - url: https://api.{id}.gr4vy.app
    x-speakeasy-server-id: production
    variables:
      id:
        default: example
        description: The subdomain for your Gr4vy instance.
security:
  - bearerAuth: []
tags:
  - name: 3DS scenarios
    description: Manage and create 3DS scenarios in sandbox.
  - name: Account updater
    description: Schedule stored cards for an account update.
  - name: Audit logs
    description: Query user activity.
  - name: Buyers
    description: Manage buyers.
  - name: Buyers - Gift cards
    description: Query gift cards for buyers.
  - name: Buyers - Payment methods
    description: Query payment methods for buyers.
  - name: Buyers - Shipping details
    description: Manage shipping details for buyers.
  - name: Card details
    description: Returns information about a card.
  - name: Card scheme definitions
    description: List definitions for card schemes.
  - name: Checkout sessions
    description: Manage checkout sessions.
  - name: Digital wallets - Sessions
    description: Create sessions for digital wallets like Apple Pay and Google Pay.
  - name: Digital wallets - Setup
    description: Manage digital wallets like Apple Pay and Google Pay.
  - name: Gift cards
    description: Manage stored gift cards.
  - name: Insights
    description: Retrieve Insights data.
  - name: Insights - Presets
    description: Manage presets for Insights.
  - name: Merchant accounts
    description: Manage merchant accounts in an instance.
  - name: Merchant accounts - 3DS configuration
    description: Manage 3DS profiles for merchant accounts.
  - name: Monitoring
    description: Manage monitoring and alerting.
  - name: Payment links
    description: Manage payment links.
  - name: Payment methods
    description: Manage stored payment methods.
  - name: Payment methods - Definitions
    description: Manage payment method definitions.
  - name: Payment methods - Network tokens
    description: Manage network tokens for stored payment methods.
  - name: Payment methods - Payment service tokens
    description: Manage payment service tokens for stored payment methods.
  - name: Payment options
    description: Fetch a list of payment options to display at checkout.
  - name: Payment service definitions
    description: Fetch info about the definition of each payment service.
  - name: Payment services
    description: Manage configured payment services.
  - name: Payouts
    description: Payout API.
  - name: Refunds
    description: Manage transaction refunds.
  - name: Reports
    description: Manage one-off and scheduled reports.
  - name: Reports - Executions
    description: Manage executions of reports.
  - name: Transactions
    description: Manage transaction.
  - name: Transactions - Actions
    description: Read Flow actions triggered for a transaction.
  - name: Transactions - Chargebacks
    description: Read transaction chargeback data.
  - name: Transactions - Chargeback reversals
    description: Read transaction chargeback reversal data.
  - name: Transactions - Settlements
    description: Read transaction settlement data.
  - name: Transactions - Sessions
    description: Manage transaction session data.
  - name: Webhook subscriptions
    description: Manage webhook subscriptions.
paths:
  /webhook-subscriptions:
    post:
      tags:
        - Webhook subscriptions
      summary: Create webhook subscription
      description: >-
        Create a new webhook subscription to receive event notifications.
        Subscriptions allow you to specify a URL where webhook events will be
        delivered and configure authentication credentials to secure the webhook
        communication.
      operationId: create_webhook_subscription
      parameters:
        - name: x-gr4vy-merchant-account-id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: The ID of the merchant account to use for this request.
            examples:
              - default
            title: X-Gr4Vy-Merchant-Account-Id
          description: The ID of the merchant account to use for this request.
          x-speakeasy-name-override: merchantAccountId
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WebhookSubscriptionCreate'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookSubscription'
        '400':
          description: The request was invalid.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error400'
        '401':
          description: The request was unauthorized.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error401'
        '403':
          description: >-
            The credentials were invalid or the caller did not have permission
            to act on the resource.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error403'
        '404':
          description: The resource was not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error404'
        '405':
          description: The request method was not allowed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error405'
        '409':
          description: A duplicate record was found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error409'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '425':
          description: The request was too early.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error425'
        '429':
          description: Too many requests were made.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error429'
        '500':
          description: The server encountered an error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error500'
        '502':
          description: The server encountered an error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error502'
        '504':
          description: The server encountered an error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error504'
components:
  schemas:
    WebhookSubscriptionCreate:
      properties:
        active:
          type: boolean
          title: Active
          description: >-
            Flag to determine whether this subscription should be sent webhook
            payloads.
          default: true
          examples:
            - true
            - false
        url:
          type: string
          title: Url
          description: URL to send webhook payloads.
          examples:
            - https://www.gr4vy.com/webhooks
        authentication:
          anyOf:
            - oneOf:
                - $ref: '#/components/schemas/BasicAuthenticationCreate'
                - $ref: '#/components/schemas/CredentialsOAuthAuthenticationCreate'
                - $ref: '#/components/schemas/PasswordOAuthAuthenticationCreate'
              discriminator:
                propertyName: kind
                mapping:
                  basic:
                    $ref: '#/components/schemas/BasicAuthenticationCreate'
                  oauth_client_credentials:
                    $ref: '#/components/schemas/CredentialsOAuthAuthenticationCreate'
                  oauth_password:
                    $ref: '#/components/schemas/PasswordOAuthAuthenticationCreate'
            - type: 'null'
          title: Authentication
          description: Optional authentication configuration for webhook requests.
          examples:
            - kind: basic
              password: super-strong-password
              username: gr4vy
            - client_id: 1234abcd
              client_secret: sec_123_abc
              kind: oauth_password
              password: super-strong-password
              token_url: https://www.gr4vy.com/oauth/token
              username: gr4vy
            - client_id: 1234abcd
              client_secret: sec_123_abc
              kind: oauth_client_credentials
              token_url: https://www.gr4vy.com/oauth/token
      additionalProperties: false
      type: object
      required:
        - url
      title: WebhookSubscriptionCreate
    WebhookSubscription:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: The ID of the webhook subscription
          examples:
            - ef9496d8-53a5-4aad-8ca2-00eb68334389
        type:
          type: string
          const: webhook-subscription
          title: Type
          description: Type of resource for webhook subscriptions.
          default: webhook-subscription
          examples:
            - webhook-subscription
        merchant_account_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Merchant Account Id
          description: >-
            The merchant account to which this subscription is associated. When
            null this represents an instance level webhook.
          examples:
            - default
            - null
        active:
          type: boolean
          title: Active
          description: >-
            Flag to determine whether this subscription should be sent webhook
            payloads.
          examples:
            - true
            - false
        url:
          type: string
          title: Url
          description: URL to send webhook payloads.
          examples:
            - https://www.gr4vy.com/webhooks
        authentication:
          anyOf:
            - $ref: '#/components/schemas/BasicAuthentication'
            - $ref: '#/components/schemas/CredentialsOAuthAuthentication'
            - $ref: '#/components/schemas/PasswordOAuthAuthentication'
            - type: 'null'
          title: Authentication
          description: Optional authentication configuration for webhook requests.
          examples:
            - kind: basic
              password: '********'
              username: gr4vy
            - client_id: 1234abcd
              client_secret: '********'
              kind: oauth_password
              password: '********'
              token_url: https://www.gr4vy.com/oauth/token
              username: gr4vy
            - client_id: 1234abcd
              client_secret: '********'
              kind: oauth_client_credentials
              token_url: https://www.gr4vy.com/oauth/token
        secret:
          anyOf:
            - type: string
            - type: 'null'
          title: Secret
          description: The active secret value.
          examples:
            - 234567890abcdef1234567890abcdef
        rotating:
          type: boolean
          title: Rotating
          description: >-
            Flag to determine whether the subscription has a secret rotation in
            progress or not.
          examples:
            - false
            - true
        creator:
          anyOf:
            - $ref: '#/components/schemas/Creator'
            - type: 'null'
          description: The user that created this resource
          examples:
            - email_address: jhon.doe@gr4vy.com
              id: 07e70d14-a0c0-4ff5-bd4a-509959af0e4d
              name: Jhon Doe
      additionalProperties: false
      type: object
      required:
        - id
        - active
        - url
        - rotating
      title: WebhookSubscription
    Error400:
      properties:
        type:
          type: string
          const: error
          title: Type
          description: Always `error`.
          default: error
          examples:
            - error
        code:
          type: string
          title: Code
          description: Always `bad_request`
          default: bad_request
          examples:
            - bad_request
        status:
          type: integer
          title: Status
          description: Always `400`.
          default: 400
          examples:
            - 400
        message:
          type: string
          title: Message
          description: A human readable message that provides more context to the error.
          default: Generic error
          examples:
            - Request failed validation
        details:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Details
          description: A list of details that further ellaborate on the error.
          default: []
      additionalProperties: false
      type: object
      title: Error400
    Error401:
      properties:
        type:
          type: string
          const: error
          title: Type
          description: Always `error`.
          default: error
          examples:
            - error
        code:
          type: string
          title: Code
          description: Always `unauthorized`
          default: unauthorized
          examples:
            - unauthorized
        status:
          type: integer
          title: Status
          description: Always `401`.
          default: 401
          examples:
            - 401
        message:
          type: string
          title: Message
          description: A human readable message that provides more context to the error.
          default: No valid API authentication found
          examples:
            - No valid API authentication found
        details:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Details
          description: A list of details that further ellaborate on the error.
          default: []
      additionalProperties: false
      type: object
      title: Error401
    Error403:
      properties:
        type:
          type: string
          const: error
          title: Type
          description: Always `error`.
          default: error
          examples:
            - error
        code:
          type: string
          title: Code
          description: Always `forbidden`
          default: forbidden
          examples:
            - forbidden
        status:
          type: integer
          title: Status
          description: Always `403`.
          default: 403
          examples:
            - 403
        message:
          type: string
          title: Message
          description: A human readable message that provides more context to the error.
          default: Generic error
          examples:
            - Request failed validation
        details:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Details
          description: A list of details that further ellaborate on the error.
          default: []
      additionalProperties: false
      type: object
      title: Error403
    Error404:
      properties:
        type:
          type: string
          const: error
          title: Type
          description: Always `error`.
          default: error
          examples:
            - error
        code:
          type: string
          title: Code
          description: Always `not_found`
          default: not_found
          examples:
            - not_found
        status:
          type: integer
          title: Status
          description: Always `404`.
          default: 404
          examples:
            - 404
        message:
          type: string
          title: Message
          description: A human readable message that provides more context to the error.
          default: The resource could not be found
          examples:
            - The resource could not be found
        details:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Details
          description: A list of details that further ellaborate on the error.
          default: []
      additionalProperties: false
      type: object
      title: Error404
    Error405:
      properties:
        type:
          type: string
          const: error
          title: Type
          description: Always `error`.
          default: error
          examples:
            - error
        code:
          type: string
          title: Code
          description: Always `method_not_allowed`
          default: method_not_allowed
          examples:
            - method_not_allowed
        status:
          type: integer
          title: Status
          description: Always `405`.
          default: 405
          examples:
            - 405
        message:
          type: string
          title: Message
          description: A human readable message that provides more context to the error.
          default: Method Not Allowed
          examples:
            - Method Not Allowed
        details:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Details
          description: A list of details that further ellaborate on the error.
          default: []
      additionalProperties: false
      type: object
      title: Error405
    Error409:
      properties:
        type:
          type: string
          const: error
          title: Type
          description: Always `error`.
          default: error
          examples:
            - error
        code:
          type: string
          title: Code
          description: Always `duplicate_record`
          default: duplicate_record
          examples:
            - duplicate_record
        status:
          type: integer
          title: Status
          description: Always `409`.
          default: 409
          examples:
            - 409
        message:
          type: string
          title: Message
          description: A human readable message that provides more context to the error.
          default: Generic error
          examples:
            - Request failed validation
        details:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Details
          description: A list of details that further ellaborate on the error.
          default: []
        resource_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Resource Id
          description: The ID of the conflicting resource.
          examples:
            - cdc70639-cb9c-4222-a73f-b8ce39f7821b
      additionalProperties: false
      type: object
      title: Error409
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Error425:
      properties:
        type:
          type: string
          const: error
          title: Type
          description: Always `error`.
          default: error
          examples:
            - error
        code:
          type: string
          title: Code
          description: Always `too_early`
          default: too_early
          examples:
            - too_early
        status:
          type: integer
          title: Status
          description: Always `425`.
          default: 425
          examples:
            - 425
        message:
          type: string
          title: Message
          description: A human readable message that provides more context to the error.
          default: Generic error
          examples:
            - Request failed validation
        details:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Details
          description: A list of details that further ellaborate on the error.
          default: []
      additionalProperties: false
      type: object
      title: Error425
    Error429:
      properties:
        type:
          type: string
          const: error
          title: Type
          description: Always `error`.
          default: error
          examples:
            - error
        code:
          type: string
          title: Code
          description: Always `too_many_requests`
          default: too_many_requests
          examples:
            - too_many_requests
        status:
          type: integer
          title: Status
          description: Always `429`.
          default: 429
          examples:
            - 429
        message:
          type: string
          title: Message
          description: A human readable message that provides more context to the error.
          default: Generic error
          examples:
            - Request failed validation
        details:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Details
          description: A list of details that further ellaborate on the error.
          default: []
      additionalProperties: false
      type: object
      title: Error429
    Error500:
      properties:
        type:
          type: string
          const: error
          title: Type
          description: Always `error`.
          default: error
          examples:
            - error
        code:
          type: string
          title: Code
          description: Always `server_error`
          default: server_error
          examples:
            - server_error
        status:
          type: integer
          title: Status
          description: Always `500`.
          default: 500
          examples:
            - 500
        message:
          type: string
          title: Message
          description: A human readable message that provides more context to the error.
          default: Request could not be processed
          examples:
            - Request could not be processed
        details:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Details
          description: A list of details that further ellaborate on the error.
          default: []
      additionalProperties: false
      type: object
      title: Error500
    Error502:
      properties:
        type:
          type: string
          const: error
          title: Type
          description: Always `error`.
          default: error
          examples:
            - error
        code:
          type: string
          title: Code
          description: Always `bad_gateway`
          default: bad_gateway
          examples:
            - bad_gateway
        status:
          type: integer
          title: Status
          description: Always `502`.
          default: 502
          examples:
            - 502
        message:
          type: string
          title: Message
          description: A human readable message that provides more context to the error.
          default: Request could not be processed
          examples:
            - Request could not be processed
        details:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Details
          description: A list of details that further ellaborate on the error.
          default: []
      additionalProperties: false
      type: object
      title: Error502
    Error504:
      properties:
        type:
          type: string
          const: error
          title: Type
          description: Always `error`.
          default: error
          examples:
            - error
        code:
          type: string
          title: Code
          description: Always `gateway_timeout`
          default: gateway_timeout
          examples:
            - gateway_timeout
        status:
          type: integer
          title: Status
          default: 504
        message:
          type: string
          title: Message
          description: A human readable message that provides more context to the error.
          default: Request could not be processed
          examples:
            - Request could not be processed
        details:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Details
          description: A list of details that further ellaborate on the error.
          default: []
      additionalProperties: false
      type: object
      title: Error504
    BasicAuthenticationCreate:
      properties:
        kind:
          type: string
          const: basic
          title: Kind
          description: Type of authentication for webhook request.
          default: basic
          examples:
            - basic
        username:
          type: string
          title: Username
          description: The username value for basic auth.
          examples:
            - gr4vy
        password:
          type: string
          title: Password
          description: The password value for basic auth.
          examples:
            - super-strong-password
      additionalProperties: false
      type: object
      required:
        - username
        - password
      title: BasicAuthenticationCreate
    CredentialsOAuthAuthenticationCreate:
      properties:
        kind:
          type: string
          const: oauth_client_credentials
          title: Kind
          description: Type of authentication for webhook request.
          default: oauth_client_credentials
          examples:
            - oauth_client_credentials
        client_id:
          type: string
          title: Client Id
          description: The OAuth client identifier.
          examples:
            - 1234abcd
        client_secret:
          type: string
          title: Client Secret
          description: The OAuth client secret.
          examples:
            - sec_123_abc
        token_url:
          type: string
          title: Token Url
          description: The OAuth access token URL.
          examples:
            - https://www.gr4vy.com/oauth/token
        scope:
          anyOf:
            - type: string
            - type: 'null'
          title: Scope
          description: The OAuth scope.
          examples:
            - example:scope
      additionalProperties: false
      type: object
      required:
        - client_id
        - client_secret
        - token_url
      title: CredentialsOAuthAuthenticationCreate
    PasswordOAuthAuthenticationCreate:
      properties:
        kind:
          type: string
          const: oauth_password
          title: Kind
          description: Type of authentication for webhook request.
          default: oauth_password
          examples:
            - oauth_password
        client_id:
          type: string
          title: Client Id
          description: The OAuth client identifier.
          examples:
            - 1234abcd
        client_secret:
          type: string
          title: Client Secret
          description: The OAuth client secret.
          examples:
            - sec_123_abc
        token_url:
          type: string
          title: Token Url
          description: The OAuth access token URL.
          examples:
            - https://www.gr4vy.com/oauth/token
        scope:
          anyOf:
            - type: string
            - type: 'null'
          title: Scope
          description: The OAuth scope.
          examples:
            - example:scope
        username:
          type: string
          title: Username
          description: The username value.
          examples:
            - gr4vy
        password:
          type: string
          title: Password
          description: The password value.
          examples:
            - super-strong-password
      additionalProperties: false
      type: object
      required:
        - client_id
        - client_secret
        - token_url
        - username
        - password
      title: PasswordOAuthAuthenticationCreate
    BasicAuthentication:
      properties:
        type:
          type: string
          const: webhook-authentication
          title: Type
          description: Type of resource for webhook authentication.
          default: webhook-authentication
          examples:
            - webhook-authentication
        kind:
          type: string
          const: basic
          title: Kind
          description: Type of authentication for webhook request.
          default: basic
          examples:
            - basic
        username:
          type: string
          title: Username
          description: The username value for basic auth.
          examples:
            - gr4vy
        password:
          type: string
          const: '********'
          title: Password
          description: The masked password value for basic auth.
          default: '********'
          examples:
            - '********'
      additionalProperties: false
      type: object
      required:
        - username
      title: BasicAuthentication
    CredentialsOAuthAuthentication:
      properties:
        type:
          type: string
          const: webhook-authentication
          title: Type
          description: Type of resource for webhook authentication.
          default: webhook-authentication
          examples:
            - webhook-authentication
        kind:
          type: string
          const: oauth_client_credentials
          title: Kind
          description: Type of authentication for webhook request.
          default: oauth_client_credentials
          examples:
            - oauth_client_credentials
        client_id:
          type: string
          title: Client Id
          description: The OAuth client identifier.
          examples:
            - 1234abcd
        client_secret:
          type: string
          title: Client Secret
          description: The masked OAuth client secret.
          default: '********'
          examples:
            - '********'
        token_url:
          type: string
          title: Token Url
          description: The OAuth access token URL.
          examples:
            - https://www.gr4vy.com/oauth/token
        scope:
          anyOf:
            - type: string
            - type: 'null'
          title: Scope
          description: The OAuth scope.
          examples:
            - example:scope
      additionalProperties: false
      type: object
      required:
        - client_id
        - token_url
      title: CredentialsOAuthAuthentication
    PasswordOAuthAuthentication:
      properties:
        type:
          type: string
          const: webhook-authentication
          title: Type
          description: Type of resource for webhook authentication.
          default: webhook-authentication
          examples:
            - webhook-authentication
        kind:
          type: string
          const: oauth_password
          title: Kind
          description: Type of authentication for webhook request.
          default: oauth_password
          examples:
            - oauth_password
        client_id:
          type: string
          title: Client Id
          description: The OAuth client identifier.
          examples:
            - 1234abcd
        client_secret:
          type: string
          title: Client Secret
          description: The masked OAuth client secret.
          default: '********'
          examples:
            - '********'
        token_url:
          type: string
          title: Token Url
          description: The OAuth access token URL.
          examples:
            - https://www.gr4vy.com/oauth/token
        scope:
          anyOf:
            - type: string
            - type: 'null'
          title: Scope
          description: The OAuth scope.
          examples:
            - example:scope
        username:
          type: string
          title: Username
          description: The username value.
          examples:
            - gr4vy
        password:
          type: string
          const: '********'
          title: Password
          description: The masked password value.
          default: '********'
          examples:
            - '********'
      additionalProperties: false
      type: object
      required:
        - client_id
        - token_url
        - username
      title: PasswordOAuthAuthentication
    Creator:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          type: string
          title: Name
        email_address:
          type: string
          title: Email Address
      additionalProperties: false
      type: object
      required:
        - id
        - name
        - email_address
      title: Creator
    ErrorDetail:
      properties:
        location:
          description: >-
            The part of the request where the property can be found that caused
            the error.
          examples:
            - body
          type: string
          enum:
            - query
            - body
            - path
            - header
            - unknown
          title: ErrorLocation
          x-speakeasy-unknown-values: allow
          overlay: 1.0.0
        pointer:
          anyOf:
            - type: string
              format: json-pointer
            - type: string
          title: Pointer
          description: A JSON pointer for the particular property that caused the error.
          examples:
            - /currency
        message:
          type: string
          title: Message
          description: A human-readdable explanation of the error.
          examples:
            - 'Unknown ISO 4217 currency code: USX'
        type:
          type: string
          title: Type
          description: The type of error that was raised for this property.
          examples:
            - value_error
      additionalProperties: false
      type: object
      required:
        - location
        - pointer
        - message
        - type
      title: ErrorDetail
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````